
// ---=== Ladderclip ===---

textures/ut4_octagun/og1_ladderclip
{
	qer_editorimage textures/kittywumpus/kw_ladder.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm nodamage
	surfaceparm ladder
	surfaceparm trans
}

// ---=== Holopanels ===---

textures/ut4_octagun/og1_hologo_b
{
	qer_editorimage textures/ut4_octagun/fsk_holosign1/fsk_holosign_b1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		animMap 1.25 textures/ut4_octagun/fsk_holosign1/fsk_holosign_b1.jpg textures/ut4_octagun/fsk_holosign1/fsk_holosign_b1.jpg	textures/ut4_octagun/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_octagun/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_octagun/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_octagun/fsk_holosign1/fsk_holosign_b3.jpg textures/ut4_octagun/fsk_holosign1/fsk_holosign_b7.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_octagun/og1_hologo_r
{
	qer_editorimage textures/ut4_octagun/fsk_holosign1/fsk_holosign_r1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		animMap 1.25 textures/ut4_octagun/fsk_holosign1/fsk_holosign_r1.jpg textures/ut4_octagun/fsk_holosign1/fsk_holosign_r1.jpg textures/ut4_octagun/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_octagun/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_octagun/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_octagun/fsk_holosign1/fsk_holosign_r3.jpg textures/ut4_octagun/fsk_holosign1/fsk_holosign_r7.jpg
		blendFunc GL_ONE GL_ONE
	}
}

// ---=== no damage textures ===---

textures/ut4_octagun/e8_base1:q3map
{
	surfaceparm nodamage
}

textures/ut4_octagun/e8_base1b:q3map
{
	surfaceparm nodamage
}

textures/ut4_octagun/e8_base1c:q3map
{
	surfaceparm nodamage
}
textures/ut4_octagun/e8base_blue:q3map
{
	surfaceparm nodamage
}
textures/ut4_octagun/e8base_red:q3map
{
	surfaceparm nodamage
}

textures/ut4_octagun/e8clangfloor04warn2:q3map
{
	surfaceparm nodamage
}

textures/ut4_octagun/e8crete03:q3map
{
	surfaceparm nodamage
}

textures/ut4_octagun/e8crete03fadedwarn:q3map
{
	surfaceparm nodamage
}

textures/ut4_octagun/e8crete_blue:q3map
{
	surfaceparm nodamage
}

textures/ut4_octagun/e8crete_red:q3map
{
	surfaceparm nodamage
}

textures/ut4_octagun/e8cretefloor01:q3map
{
	surfaceparm nodamage
}

textures/ut4_octagun/e8cretefloor01b:q3map
{
	surfaceparm nodamage
}

textures/ut4_octagun/e8cretefloor02:q3map
{
	surfaceparm nodamage
}

textures/ut4_octagun/e8cretesmlltrim:q3map
{
	surfaceparm nodamage
}

textures/ut4_octagun/e8metal03b:q3map
{
	surfaceparm nodamage
}

textures/ut4_octagun/e8support06b:q3map
{
	surfaceparm nodamage
}

textures/ut4_octagun/e8supporttrim01b:q3map
{
	surfaceparm nodamage
}

textures/ut4_octagun/e8trimlight:q3map
{
	surfaceparm nodamage
}

textures/ut4_octagun/e8warning2:q3map
{
	surfaceparm nodamage
}

// ---=== Glass ===---

textures/ut4_octagun/og1_glass_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_octagun/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

textures/ut4_octagun/og1_glass_slick_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam_slick.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_octagun/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

// ---=== shiny ===---

textures/ut4_octagun/og1_chrome1
{
	qer_editorimage textures/ut4_octagun/chrome1.tga
	surfaceparm nodamage

	{
		map textures/ut4_octagun/chrome_env.tga
		rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_octagun/chrome1.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_octagun/og1_shn_e8base1c
{
	qer_editorimage textures/ut4_octagun/e8_base1c.jpg
	surfaceparm nodamage

	{
		map textures/ut4_octagun/e8_base1c.jpg
	}
	{
		map textures/ut4_octagun/glass3.tga
		tcmod scale .5 .5
		tcGen environment
		blendfunc gl_dst_color gl_src_color
	}
	{
		map $lightmap
		blendfunc filter
	}
}

// ---=== Light Emitting Textures ===---

textures/ut4_octagun/e6basicstrip_blue
{
	qer_editorimage textures/ut4_octagun/e6basicstrip_blue.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_octagun/e6basicstrip_blue.tga
	}
}

textures/ut4_octagun/e6basicstrip_green
{
	qer_editorimage textures/ut4_octagun/e6basicstrip_green.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_octagun/e6basicstrip_green.tga
	}
}

textures/ut4_octagun/e6basicstrip_orange
{
	qer_editorimage textures/ut4_octagun/e6basicstrip_orange.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_octagun/e6basicstrip_orange.tga
	}
}

textures/ut4_octagun/e6basicstrip_purple
{
	qer_editorimage textures/ut4_octagun/e6basicstrip_purple.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_octagun/e6basicstrip_purple.tga
	}
}

textures/ut4_octagun/e6basicstrip_red
{
	qer_editorimage textures/ut4_octagun/e6basicstrip_red.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_octagun/e6basicstrip_red.tga
	}
}

textures/ut4_octagun/e6basicstrip_white
{
	qer_editorimage textures/ut4_octagun/e6basicstrip_white.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_octagun/e6basicstrip_white.tga
	}
}

textures/ut4_octagun/e6basicstrip_yellow
{
	qer_editorimage textures/ut4_octagun/e6basicstrip_yellow.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_octagun/e6basicstrip_yellow.tga
	}
}

// ---=== non-solids ===---

textures/ut4_octagun/og1_stripbluens
{
	qer_editorimage textures/ut4_octagun/e6basicstrip_blue.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
		
	{
		map textures/ut4_octagun/e6basicstrip_blue.tga
	}
}

textures/ut4_octagun/og1_stripgreenns
{
	qer_editorimage textures/ut4_octagun/e6basicstrip_green.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
		
	{
		map textures/ut4_octagun/e6basicstrip_green.tga
	}
}

textures/ut4_octagun/og1_stripredns
{
	qer_editorimage textures/ut4_octagun/e6basicstrip_red.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
		
	{
		map textures/ut4_octagun/e6basicstrip_red.tga
	}
}

textures/ut4_octagun/og1_strippurplens
{
	qer_editorimage textures/ut4_octagun/e6basicstrip_purple.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
		
	{
		map textures/ut4_octagun/e6basicstrip_purple.tga
	}
}

textures/ut4_octagun/og1_stripwhitens
{
	qer_editorimage textures/ut4_octagun/e6basicstrip_white.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
		
	{
		map textures/ut4_octagun/e6basicstrip_white.tga
	}
}

textures/ut4_octagun/og1_shn_base1cns
{
	qer_editorimage textures/ut4_octagun/e8_base1c.jpg
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid

	{
		map textures/ut4_octagun/e8_base1c.jpg
	}
	{
		map textures/ut4_octagun/glass3.tga
		tcmod scale .5 .5
		tcGen environment
		blendfunc gl_dst_color gl_src_color
	}
	{
		map $lightmap
		blendfunc filter
	}
}

// ---=== Liquids ===---

// ---=== Slime ===---

textures/ut4_octagun/og1_slime
{
	qer_editorimage textures/ut4_octagun/slime_grn.tga
	q3map_lightimage textures/ut4_octagun/slime_grn.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	qer_trans 0.5

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans	

	q3map_surfacelight 300
	q3map_tessSize 64
	cull disable

	deformVertexes wave 256 sin 0 1 0.5 0.5
	{
		map textures/ut4_octagun/slime_grn.tga
		tcMod turb 0.3 0.2 1 0.05
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_octagun/slime_grnc.tga
		blendfunc add
		tcMod turb 0.2 0.1 1 0.05
		tcMod scale 0.5 0.5
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_octagun/slime_grn.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb 0.2 0.1 0.1 0.2
		tcMod scale 0.05 0.05
		tcMod scroll 0.001 0.001
	}	
}

// ---=== Evil Shaders ===---

textures/ut4_octagun/e8bgrate02
{
	surfaceparm alphashadow
	surfaceparm nonsolid
	cull none
	{
		map textures/ut4_octagun/e8bgrate02.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/ut4_octagun/e8warn2steplight
{
	qer_editorimage textures/ut4_octagun/e8warn2steplight.tga
	q3map_lightimage textures/ut4_octagun/e8warn2steplight.blend.tga
	surfaceparm nomarks
	surfaceparm nodamage
	q3map_surfacelight 50
	{
		map textures/ut4_octagun/e8warn2steplight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_octagun/e8warn2steplight.blend.tga
		blendfunc add
	}
}

textures/ut4_octagun/e8metal_blue_shiney
{
	qer_editorimage textures/ut4_octagun/e8metal_blue.tga
	surfaceparm nodamage
	{
		map textures/ut4_octagun/tinfx.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/ut4_octagun/e8metal_blue.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/ut4_octagun/e8metal_red_shiney
{
	qer_editorimage textures/ut4_octagun/e8metal_red.tga
	surfaceparm nodamage
	{
		map textures/ut4_octagun/tinfx.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/ut4_octagun/e8metal_red.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/ut4_octagun/e8minitrimlight
{
	qer_editorimage textures/ut4_octagun/e8minitrimlight.tga
	q3map_lightimage textures/ut4_octagun/e8minitrimlight.blend.tga
	surfaceparm nomarks
	surfaceparm nodamage
	q3map_surfacelight 250
	{
		map textures/ut4_octagun/e8minitrimlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_octagun/e8minitrimlight.blend.tga
		blendfunc add
	}
}
